Bug 1574666 - [upstream][v2v] Migration Fails when VM contains special characters and oVirtSDK4 cannot handle it
Summary: [upstream][v2v] Migration Fails when VM contains special characters and oVir...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: 5.9.3
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On: 1576382
Blocks: 1581742
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:38 UTC by Kedar Kulkarni
Modified: 2018-05-23 18:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1581742 (view as bug list)
Environment:
Last Closed: 2018-05-23 18:14:33 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (1.14 MB, image/png)
2018-05-03 19:38 UTC, Kedar Kulkarni
no flags Details

Description Kedar Kulkarni 2018-05-03 19:38:20 UTC
Created attachment 1430873 [details]
Screenshot

Description of problem:
Migration Fails when VM contains special characters and oVirtSDK4 cannot handle it. 

Version-Release number of selected component (if applicable):
master.20180502231427_a22b03c

How reproducible:
100%

Steps to Reproduce:
1.Create Infra Mapping and Migration plan to migrate a VM that has special characters in its name e.g. kk_$#!*)!%!)(^%#*%)(#@*%#)(@*$
2.Try to migrate this VM
3.

Actual results:
Migration fails with error shown in Screenshot attached, but VM is actually present on the RHV. That means migration failed to perform some step post migration of the actual VM. 

Expected results:
Migration should not fail, complete successfully by handling the naming issues.

Additional info:
Both RHV and VMware support the names such as kk_$#!*)!%!)(^%#*%)(#@*%#)(@*$ for the VMs.

Comment 3 Dave Johnson 2018-05-03 19:44:19 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Michal Skrivanek 2018-05-07 08:34:06 UTC
please add logs from the conversion from both CFME and RHV side
The name is not a valid RHV name, but apparently we do not check that on import and it only fails once we try an update

Comment 8 Kedar Kulkarni 2018-05-23 18:14:33 UTC
closing this since clone is created https://bugzilla.redhat.com/show_bug.cgi?id=1581742


Note You need to log in before you can comment on or make changes to this bug.